UM Java API 6.17.1

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

Static Public Attributes | List of all members
com.latencybusters.lbm.LBMMonitor Class Reference

## Static Public Attributes
static final int | FORMAT_CSV = 0
static final int | FORMAT_PB = 1
static final int | TRANSPORT_LBM = 0
static final int | TRANSPORT_UDP = 1
static final int | TRANSPORT_LBMSNMP = 2
static final int | LBMMON_ATTR_SOURCE_NORMAL = 0
static final int | LBMMON_ATTR_SOURCE_IM = 1
static final int | LBMMON_PACKET_TYPE_SOURCE = 0
static final int | LBMMON_PACKET_TYPE_RECEIVER = 1
static final int | LBMMON_PACKET_TYPE_EVENT_QUEUE = 2
static final int | LBMMON_PACKET_TYPE_CONTEXT = 3
static final int | LBMMON_PACKET_TYPE_RECEIVER_TOPIC = 4
static final int | LBMMON_PACKET_TYPE_WILDCARD_RECEIVER = 5
static final int | LBMMON_PACKET_TYPE_UMESTORE = 6
static final int | LBMMON_PACKET_TYPE_GATEWAY = 7
static final int | LBMMON_PACKET_TYPE_UMDS = 8
static final int | LBMMON_PACKET_TYPE_CONTROL_MESSAGE = 9
static final int | LBMMON_PACKET_TYPE_SRS = 10
static final int | EINVAL = ERROR_BASE + 1
static final int | ENOMEM = ERROR_BASE + 2
static final int | EMODFAIL = ERROR_BASE + 3
static final int | ELBMFAIL = ERROR_BASE + 4
static final int | EAGAIN = ERROR_BASE + 5
static final int | EALREADY = ERROR_BASE + 6

## Detailed Description

LBM Monitor class.

## Member Data Documentation

final int com.latencybusters.lbm.LBMMonitor.EAGAIN = ERROR_BASE + 5
| static

LBM Monitor error: Insufficient resources.

final int com.latencybusters.lbm.LBMMonitor.EALREADY = ERROR_BASE + 6
| static

LBM Monitor error: Resource already registered.

final int com.latencybusters.lbm.LBMMonitor.EINVAL = ERROR_BASE + 1
| static

LBM Monitor error: An invalid argument was passed.

final int com.latencybusters.lbm.LBMMonitor.ELBMFAIL = ERROR_BASE + 4
| static

LBM Monitor error: A call to an LBM function failed.

final int com.latencybusters.lbm.LBMMonitor.EMODFAIL = ERROR_BASE + 3
| static

LBM Monitor error: A call to a module function failed.

final int com.latencybusters.lbm.LBMMonitor.ENOMEM = ERROR_BASE + 2
| static

LBM Monitor error: Out of memory.

final int com.latencybusters.lbm.LBMMonitor.FORMAT_CSV = 0
| static

Format type: Comma-separated values NOTE: see LBMMON_FORMAT_CSV_MODULE_ID

final int com.latencybusters.lbm.LBMMonitor.FORMAT_PB = 1
| static

Format type: Protocol Buffers NOTE: see LBMMON_FORMAT_PB_MODULE_ID

final int com.latencybusters.lbm.LBMMonitor.LBMMON_ATTR_SOURCE_IM = 1
| static

Source/receiver statistics are from a MIM transport session.

final int com.latencybusters.lbm.LBMMonitor.LBMMON_ATTR_SOURCE_NORMAL = 0
| static

Source/receiver statistics are from a normal transport session.

final int com.latencybusters.lbm.LBMMonitor.LBMMON_PACKET_TYPE_CONTEXT = 3
| static

Packet type: context statistics

final int com.latencybusters.lbm.LBMMonitor.LBMMON_PACKET_TYPE_CONTROL_MESSAGE = 9
| static

Packet type: Control message.

final int com.latencybusters.lbm.LBMMonitor.LBMMON_PACKET_TYPE_EVENT_QUEUE = 2
| static

Packet type: event queue statistics

final int com.latencybusters.lbm.LBMMonitor.LBMMON_PACKET_TYPE_GATEWAY = 7
| static

Packet type: Gateway statistics.

final int com.latencybusters.lbm.LBMMonitor.LBMMON_PACKET_TYPE_RECEIVER = 1
| static

Packet type: receiver transport statistics

final int com.latencybusters.lbm.LBMMonitor.LBMMON_PACKET_TYPE_RECEIVER_TOPIC = 4
| static

Packet type: receiver topic statistics.

final int com.latencybusters.lbm.LBMMonitor.LBMMON_PACKET_TYPE_SOURCE = 0
| static

Packet type: source transport statistics

final int com.latencybusters.lbm.LBMMonitor.LBMMON_PACKET_TYPE_SRS = 10
| static

Packet type: SRS statistics.

final int com.latencybusters.lbm.LBMMonitor.LBMMON_PACKET_TYPE_UMDS = 8
| static

Packet type: UMDS statistics.

final int com.latencybusters.lbm.LBMMonitor.LBMMON_PACKET_TYPE_UMESTORE = 6
| static

Packet type: UME store statistics.

final int com.latencybusters.lbm.LBMMonitor.LBMMON_PACKET_TYPE_WILDCARD_RECEIVER = 5
| static

Packet type: wildcard receiver statistics.

final int com.latencybusters.lbm.LBMMonitor.TRANSPORT_LBM = 0
| static

Transport type: LBM

final int com.latencybusters.lbm.LBMMonitor.TRANSPORT_LBMSNMP = 2
| static

Transport type: LBMSNMP

final int com.latencybusters.lbm.LBMMonitor.TRANSPORT_UDP = 1
| static

Transport type: UDP

The documentation for this class was generated from the following file:

- LBMMonitor.java